Bug 568968 - Review Request: spyder - Scientific Python Development Environment
Summary: Review Request: spyder - Scientific Python Development Environment
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 634873 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-27 08:25 UTC by Chen Lei
Modified: 2016-12-01 00:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-23 09:52:19 UTC
rnovacek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chen Lei 2010-02-27 08:25:19 UTC
Description:
Spyder (previously known as Pydee) is a free open-source Python development
environment providing MATLAB-like features in a simple and light-weighted 
software, available for Windows XP/Vista/7, GNU/Linux and MacOS X.

Spyder is part of spyderlib, a Python module based on PyQt4 and QScintilla2.

See www.pythonxy.com


SPEC:https://dl.dropbox.com/u/1338197/1/spyder.spec
SRPM:https://dl.dropbox.com/u/1338197/1/spyder-1.0.3-1.fc12.src.rpm

Comment 2 Sandro Mathys 2010-09-14 11:26:04 UTC
Hi Chen,

If you're still willing to maintain spyder in Fedora, please update your package to the latest release and I'll review it. Maybe you want to wait for the final 2.0.0 release, though - or use the current beta3.

Cheers,
red

Comment 3 Chen Lei 2010-09-14 16:33:32 UTC
Hi Sandro,

I'll update spyder to the latest version soon. Would you mind to co-maintain spyder?

Comment 4 Sandro Mathys 2010-09-15 06:14:46 UTC
I'm not really intestested in co-maintaining spyder, just wanted to offer to review it :)

Comment 6 Chen Lei 2010-09-17 12:29:00 UTC
*** Bug 634873 has been marked as a duplicate of this bug. ***

Comment 7 Radek Novacek 2010-09-20 06:47:54 UTC
I reviewed the package and it looks good. Only issue I found is missing %clean section. This section is needed for Fedora 12. So if the package will be only in Fedora 13 and higher, it is OK, but I would recommend to add it.

I haven't found any other issues, so I set review+. I would also ask to be a co-maintainer of the package.

Comment 8 Chen Lei 2010-09-21 03:29:36 UTC
OK, sections which are needed for F12 only are added to the spec.


New Package SCM Request
=======================
Package Name: spyder
Short Description: Scientific Python Development Environment
Owners: supercyper rnovacek
Branches: f12 f13 f14

Comment 9 Kevin Fenzi 2010-09-22 16:54:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.